<?php

namespace Shpopping\Product\Policies;

use Shpopping\Product\Models\Product;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait ProductAction
{

    /**
     * Determine if the given user can copy the given product.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Product $product)
    {

        if ($authUser->canDo('product.product.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given product.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Product $product) {

        if ($authUser->canDo('product.product.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given product.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Product $product)
    {

        if ($authUser->canDo('product.product.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
